#property indicator_chart_window
#property indicator_buffers 4

extern bool    AutoDrawLine = TRUE;
extern color   DrawLineColorH = Black;
extern color   DrawLineColorL = Black;
extern color   DrawLineColorO = Black;
extern color   DrawLineColorC = Black;

double        max;
double        min;
double        open;
double        close;
double        old_max;
double        old_min;
double        old_open;
double        old_close;

int init()
{
}

int start() 
{
max = NormalizeDouble(iHigh(NULL, PERIOD_D1, 1), Digits);
min = NormalizeDouble(iLow(NULL, PERIOD_D1, 1), Digits);
open = NormalizeDouble(iOpen(NULL, PERIOD_D1, 1), Digits);
close = NormalizeDouble(iClose(NULL, PERIOD_D1, 1), Digits);

if (AutoDrawLine == TRUE)
{
ObjectCreate("max", OBJ_HLINE, 0, TimeCurrent(), max);
ObjectSet("max", OBJPROP_COLOR, DrawLineColorH);
ObjectSet("max", OBJPROP_STYLE, STYLE_SOLID);

ObjectCreate("min", OBJ_HLINE, 0, TimeCurrent(), min);
ObjectSet("min", OBJPROP_COLOR, DrawLineColorL);
ObjectSet("min", OBJPROP_STYLE, STYLE_SOLID);

ObjectCreate("open", OBJ_HLINE, 0, TimeCurrent(), open);
ObjectSet("open", OBJPROP_COLOR, DrawLineColorO);
ObjectSet("open", OBJPROP_STYLE, STYLE_SOLID);

ObjectCreate("close", OBJ_HLINE, 0, TimeCurrent(), close);
ObjectSet("close", OBJPROP_COLOR, DrawLineColorC);
ObjectSet("close", OBJPROP_STYLE, STYLE_SOLID);
}

old_max = ObjectGet("max", OBJPROP_PRICE1);
old_min = ObjectGet("min", OBJPROP_PRICE1);
old_open = ObjectGet("open", OBJPROP_PRICE1);
old_close = ObjectGet("close", OBJPROP_PRICE1);

if (old_max != max)
{
 ObjectDelete("max");
}
if (old_min != min)
{
 ObjectDelete("min");
}
if (old_open != open)
{
 ObjectDelete("open");
}
if (old_close != close)
{
 ObjectDelete("close");
}

}